<template>
  <v-layout column>
    <v-flex xs6 offset-xs3>
      <panel title="Register">
        <form
            name="tab-tracker-form"
            autocomplete="off">
            <v-text-field
              type="email"
              name="email"
              v-model="email"
              id="email"
              label="Email">
            </v-text-field>
            <v-text-field
              type="password"
              name="password"
              v-model="password"
              id="password"
              label="Password">
            </v-text-field>
            <br>
            <div class="error" v-html="error"></div>
            <br>
            <v-btn
              class="cyan white--text"
              @click="onRegister">
              Register
            </v-btn>
          </form>
      </panel>
    </v-flex>
  </v-layout>
</template>

<script>
import AuthenticationService from '@/services/AuthenticationService'
import Panel from '@/components/shared/Panel'

export default {
  data () {
    return {
      email: '',
      password: '',
      error: ''
    }
  },
  methods: {
    async onRegister () {
      try {
        await AuthenticationService.register({
          email: this.email,
          password: this.password
        })
      } catch (error) {
        this.error = error.response.data.error
      }
    }
  },
  components: {
    Panel
  }
}
</script>

<style scoped>
.error {
  color: red;
}
</style>
